CVE-2021-20218

A flaw was found in the fabric8 kubernetes-client in version 4.2.0 and after. This flaw allows a malicious pod/container to cause applications using the fabric8 kubernetes-client `copy` command to extract files outside the working path. The highest threat from this vulnerability is to integrity and system availability. This has been fixed in kubernetes-client-4.13.2 kubernetes-client-5.0.2 kubernetes-client-4.11.2 kubernetes-client-4.7.2
References
Link Resource
https://bugzilla.redhat.com/show_bug.cgi?id=1923405 Issue Tracking Vendor Advisory
https://github.com/fabric8io/kubernetes-client/issues/2715 Patch Third Party Advisory
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:redhat:kubernetes-client:*:*:*:*:*:*:*:*
cpe:2.3:a:redhat:kubernetes-client:*:*:*:*:*:*:*:*
cpe:2.3:a:redhat:kubernetes-client:*:*:*:*:*:*:*:*
cpe:2.3:a:redhat:kubernetes-client:*:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:a:redhat:a-mq_online:-:*:*:*:*:*:*:*
cpe:2.3:a:redhat:build_of_quarkus:-:*:*:*:*:*:*:*
cpe:2.3:a:redhat:codeready_studio:12.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:descision_manager:7.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:integration_camel_k:-:*:*:*:*:*:*:*
cpe:2.3:a:redhat:jboss_fuse:7.0.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:openshift_container_platform:3.11:*:*:*:*:*:*:*
cpe:2.3:a:redhat:process_automation:7.0:*:*:*:*:*:*:*

History

25 Mar 2021, 18:43

Type Values Removed Values Added
CVSS v2 : 6.4
v3 : 9.1
v2 : 5.8
v3 : 7.4

23 Mar 2021, 20:08

Type Values Removed Values Added
CVSS v2 : unknown
v3 : unknown
v2 : 6.4
v3 : 9.1
CPE cpe:2.3:a:redhat:integration_camel_k:-:*:*:*:*:*:*:*
cpe:2.3:a:redhat:descision_manager:7.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:process_automation:7.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:a-mq_online:-:*:*:*:*:*:*:*
cpe:2.3:a:redhat:jboss_fuse:7.0.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:kubernetes-client:*:*:*:*:*:*:*:*
cpe:2.3:a:redhat:codeready_studio:12.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:build_of_quarkus:-:*:*:*:*:*:*:*
cpe:2.3:a:redhat:openshift_container_platform:3.11:*:*:*:*:*:*:*
References (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=1923405 - (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=1923405 - Issue Tracking, Vendor Advisory
References (MISC) https://github.com/fabric8io/kubernetes-client/issues/2715 - (MISC) https://github.com/fabric8io/kubernetes-client/issues/2715 - Patch, Third Party Advisory

16 Mar 2021, 21:15

Type Values Removed Values Added
New CVE

Information

Published : 2021-03-16 21:15

Updated : 2021-03-25 18:43


NVD link : CVE-2021-20218

Mitre link : CVE-2021-20218


JSON object : View

Products Affected

redhat

  • descision_manager
  • integration_camel_k
  • codeready_studio
  • kubernetes-client
  • openshift_container_platform
  • build_of_quarkus
  • jboss_fuse
  • process_automation
  • a-mq_online
CWE
CWE-22

Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal')